function [conc_index] = concordance_index(time, label, prediction)

% Assume -1 means that time is censored
censored_label = -1;

if(length(unique(time(label==censored_label))) > 1)
    error('Censored readings should have the same time');
end

uncensored_idx = find(label~=censored_label);
total_cases = 0;
correct_cases = 0;

for i=1:length(uncensored_idx)
    total_cases = total_cases + sum(time>time(uncensored_idx(i)));
    correct_cases = correct_cases + sum(time>time(uncensored_idx(i)) & ...
        prediction>prediction(uncensored_idx(i)));
end

conc_index = correct_cases/total_cases;