function [results] = getConservativeMean(dataset, num_folds, use_mean_only, verbose)

if(~exist('use_mean_only', 'var'))
    use_mean_only = 0;
end

num_features = size(dataset.data, 2);
cv_roc = zeros(num_folds, num_features);

for j=1:num_folds
    if(verbose)
       disp(['Current fold: ' num2str(j) ' of ' num2str(num_folds)])
    end

    dataset = permuteDataset(dataset);
    [train test] = getFold(dataset, num_folds, j);
    for i=1:num_features
        temp = roc_opt(train.label, train.data(:, i));
        if(temp<0.5)
            cv_roc(j, i) = roc_opt(test.label, -test.data(:, i));
        else
            cv_roc(j, i) = roc_opt(test.label, test.data(:, i));
        end
    end
end

if(use_mean_only)
    results.cv_roc = mean(cv_roc, 1);
else
    results.cv_roc = mean(cv_roc, 1)-std(cv_roc, [], 1);
end

