function results = svmperfWrapper(train, test, config)

C = config.Cvalue;

unique_labels = unique(train.label);
unique_test_labels = unique(test.label);
if(length(unique_labels)~=2 || length(unique_test_labels)~=2 || ~all(unique_labels == unique_test_labels))
    error('Labels can only have 2 unique values!');
end
train.label(train.label==unique_labels(1)) = -1;
test.label(test.label==unique_labels(2)) = 1;

if(isfield(train, 'time') && isfield(test, 'time'))
    results = svmperfAlgorithm(train.data, train.label, test.data, test.label, C, train.time, test.time);
else
    results = svmperfAlgorithm(train.data, train.label, test.data, test.label, C);
end